%define		realname PyICU
%define		module icu

Name:		python-%{module}
Version:	2.7.4
Release:	%mkrel 2
Summary:	Python extension wrapping the ICU C++ libraries
Group:		Development/Python
License:	MIT
URL:		http://pyicu.osafoundation.org/
Source0:	https://pypi.io/packages/source/P/%{realname}/%{realname}-%{version}.tar.xz
Patch0:		icu-python3.8.patch
BuildRequires:	libicu-devel

%description
PyICU is a python extension implemented in C++ that wraps the C/C++ ICU
library.

%package -n python3-%{module}
Summary:	Python 3 extension wrapping the ICU C++ libraries
Group:		Development/Python

BuildRequires:	python3-devel
BuildRequires:	python3-setuptools


%description -n python3-%{module}
PyICU is a python extension implemented in C++ that wraps the C/C++ ICU
library.

%prep
%setup -qn %{realname}-%{version}
%apply_patches

# drop bundled egg-info
rm -rf PyICU.egg-info/

%build
%py3_build

%install
%py3_install
%py_byte_compile %{__python3} %{buildroot}%{python3_sitearch}

# Remove tests
rm -rf %{buildroot}%{python3_sitearch}/tests

%files -n python3-%{module}
%{python3_sitearch}/%{realname}-%{version}-py%{python3_version}.egg-info/
%{python3_sitearch}/__pycache__/*.pyc
%{python3_sitearch}/%{module}/
%{python3_sitearch}/%{realname}.py*
%{python3_sitearch}/_icu.*.so

%changelog
* Tue Sep 13 2022 tex - 2.7.4-2pclos2022
- rebuild against updates

* Wed Mar 16 2022 TerryN <terryn94 at gmail.com> 2.7.4-1pclos2022
- update and rebuild for python 3.10

* Sat Oct 05 2019 tex - 2.3.1-2pclos2019
- rebuild against updates

* Wed Sep 11 2019 tex - 2.3.1-1pclos2019
- new version 2.3.1
